org.codehaus.plexus.compiler.eclipse

## Class EclipseJavaCompiler

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.codehaus.plexus.compiler.AbstractCompiler
    - - org.codehaus.plexus.compiler.eclipse.EclipseJavaCompiler

All Implemented Interfaces:
  Compiler, org.codehaus.plexus.logging.LogEnabled

    public class EclipseJavaCompiler
    extends AbstractCompiler

### Field Summary

### Fields inherited from class org.codehaus.plexus.compiler.AbstractCompiler

`EOL, PS`

### Fields inherited from interface org.codehaus.plexus.compiler.Compiler

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`EclipseJavaCompiler()`

### Method Summary

Methods
`List<CompilerError>` `compile(CompilerConfiguration config)`
`String[]` `createCommandLine(CompilerConfiguration config)` Create the command line that would be executed using this configuration.

### Methods inherited from class org.codehaus.plexus.compiler.AbstractCompiler

`canUpdateTarget, getCompilerOutputStyle, getInputFileEnding, getOutputFile, getOutputFileEnding, getPathString, getSourceFiles, getSourceFilesForSourceRoot, makeClassName, toStringArray`

### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EclipseJavaCompiler

    public EclipseJavaCompiler()

### Method Detail

#### compile

    public List<CompilerError> compile(CompilerConfiguration config)
                                throws CompilerException

Throws:
  `CompilerException`

#### createCommandLine

    public String[] createCommandLine(CompilerConfiguration config)
                               throws CompilerException

Description copied from interface: `Compiler`
Create the command line that would be executed using this configuration. If this particular compiler has no concept of a command line then returns null.

Parameters:
  `config` - the CompilerConfiguration describing the compilation
Returns:
  an array of Strings that make up the command line, or null if this compiler has no concept of command line
Throws:
  `CompilerException` - if there was an error generating the command line